aboutsummaryrefslogtreecommitdiff
path: root/taler-build/update_docs.sh
diff options
context:
space:
mode:
Diffstat (limited to 'taler-build/update_docs.sh')
-rwxr-xr-xtaler-build/update_docs.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/taler-build/update_docs.sh b/taler-build/update_docs.sh
new file mode 100755
index 0000000..54caafa
--- /dev/null
+++ b/taler-build/update_docs.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+set -eu
+
+for i in merchant/doc merchant-frontend-examples; do
+ cd /var/www/$i
+ git clean -fdx
+ git fetch
+ # reset to updated upstream branch, but only if we're tracking a branch
+ branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || echo HEAD)
+ git reset --hard "$branch"
+
+ make
+done